<?php
include_once "mrbs_sql_adodb.inc.php";
class Area{
	var $id;
	var $area_name;
	var $description;
	var $area_admin_email;
	var $room_list;
	var $default_area;
	var $validsql;

	function Save(){
		global $tbl_area;
		$db_global_connection=Connection::getInstance();
		if(is_numeric($this->getId())){
			$sql="update $tbl_area set area_name='".$this->getarea_name()."',".
					"description='".$this->getDescription()."',".
					"area_admin_email='".$this->getArea_admin_email()."'".
					"WHERE id=".$this->getId()."";
		}else{
			$sql="insert into $tbl_area(area_name,description,area_admin_email) values('".$this->getArea_name()."','".$this->getDescription()."','".$this->getArea_admin_email()."')";
		}
		if($db_global_connection->Execute($sql)===false){
			die(Connection::error(__FILE__."(".__LINE__.")".__FUNCTION__.":",1));
		}

	}
	function &getId(){
		return $this->id;
	}
	function setId($value){
		$this->id=intval($value);
	}
	function setArea_name($value){
		$this->area_name=htmlspecialchars($value);
	}
	function setDescription($value){
		$this->description=htmlspecialchars($value);
	}
	function setArea_admin_email($value){
		$this->area_admin_email=htmlspecialchars($value);
	}
	function &getArea_name(){
		return $this->area_name;
	}
	function &getDescription(){
		return $this->description;
	}
	function &getArea_admin_email(){
		return $this->area_admin_email;
	}
	function &getRoom_list(){
		return $this->room_list;
	}
	function isValid(){
		if(empty($this->id)||$this->id==0){
			return !(empty($this->area_name))&&(empty($this->description));
		}else{
			return $this->validsql;
		}
	}
	function setDefault($area){
		$this->default_area=intval($area);
	}
	function toArray(){
		$entryarray=array();
		$entryarray[area_id]=$this->id;
		$entryarray[area_area_name]=$this->area_name;
		$entryarray[area_description]=$this->description;
		$entryarray[area_area_admin_email]=$this->area_admin_email;
		return $entryarray;
		
	}
	function initByValues(&$entryarray){
		$this->validsql=FALSE;
		$this->id=intval($entryarray[area_id]);
		$this->area_name=$entryarray[area_area_name];
		$this->description=$entryarray[area_description];
		$this->area_admin_email=$entryarray[area_area_admin_email];
			
	}
	function getDefaultRoom(){
		if(!empty($this->room_list[0])){
			return $this->room_list[0];
		}else{
			return 0;
		}
	}
	function initById($area_id,$recursive=1){
		global $tbl_room;
		global $tbl_area;
		if($recursive==1){
			$sql="select
			 room.area_id as  room_area_id ,
			 room.id as  room_id,
			 room.room_name as  room_room_name ,
			 room.description as  room_description ,
			 room.capacity as  room_capacity ,
			 room.room_admin_email as  room_room_admin_email,
			 
			 area.id as area_id,
			area.area_name as area_area_name,
			area.description as area_description,
			area.area_admin_email as area_area_admin_email
		 FROM $tbl_area area LEFT JOIN $tbl_room room on room.area_id=area.id
		 WHERE area.id=$area_id";
		 $first=1;
		 $db_global_connection=Connection::getInstance();
		 $result=$db_global_connection->Execute($sql);
		 if($result===false){
			die(Connection::error(__FILE__."(".__LINE__.")".__FUNCTION__.":",1));
		 }
		 $this->room_list=array();
		 if($result->EOF){
		 	$this->validsql=FALSE;
		 	return -1;
		 }else{
		 	while(!$result->EOF){
		 		$row=&$result->fields;
		 		if($first){
		 			$this->initByValues($row);
		 			$first=0;
		 		}
		 		include_once "class/room.php";
		 		$room=new Room;
		 		$room->initByValues($row);
		 		if($room->isValid()){
		 			$this->addRoom($room);
		 		}
		 		$result->MoveNext();
		 			
		 	}
		 	$this->validsql=TRUE;
		 }
		}else{
			$sql="select
			 area.id as area_id,
			area.area_name as area_area_name,
			area.description as area_description,
			area.area_admin_email as area_area_admin_email
		 FROM $tbl_area area
		 WHERE area.id=$area_id";
		 $first=0;
		 $db_global_connection=Connection::getInstance();
		 $result=$db_global_connection->Execute($sql);
		 if($result===false){
			die(Connection::error(__FILE__."(".__LINE__.")".__FUNCTION__.":",1));
		 }
		 if($result->EOF){
		 	$this->validsql=FALSE;
		 	return -1;
		 }else{
		 	$this->initByValues($result->fields);
		 	$this->validsql=TRUE;
		 }
		}

	}
	function addRoom($room){
		$this->room_list[]=$room;
	}
	function Del(){
		$db=Connection::getInstance();
		global $tbl_area;
		$sql="DELETE FROM $tbl_area WHERE id='".intval($this->id)."'";
		$result=$db->Execute($sql);
		if($result===false){
			die(Connection::error(__FILE__."(".__LINE__.")".__FUNCTION__.":",1));
		 }
	}
	
	
	function &getAll($defaultarea,$recursive=0){
		global $tbl_area;
		global $tbl_room;
		//$connection=new Connection;
		$db_global_connection=Connection::getInstance();
		if($recursive==0){
			$sql="select area.id as area_id,
			area.area_name as area_area_name,
			area.description as area_description,
			area.area_admin_email as area_area_admin_email
			 from $tbl_area area";
			$result =& $db_global_connection->Execute($sql);
			if ($result===false) {
				die(Connection::error(__FILE__."(".__LINE__.")".__FUNCTION__.":",1));
			 }
			$count=0;
			while(!$result->EOF){
				$row=&$result->fields;
				$area=new Area;
				$area->initByValues($row);
				if($defaultarea==$area->id){
					$areas['default']=$area;
				}
				$areas[areas]=$area;
				$result->MoveNext();
			}
			if(!isset($areas['default'])){
				$areas['default']=$area;
			}
			return $areas;
		}
		else{
			$sql="select area.id as area_id,
			area.area_name as area_area_name,
			area.description as area_description,
			area.area_admin_email as area_area_admin_email,
						 room.area_id as  room_area_id ,
			 room.id as  room_id ,
			 room.room_name as  room_room_name ,
			 room.description as  room_description ,
			 room.capacity as  room_capacity ,
			 room.room_admin_email as  room_room_admin_email
			
			 from $tbl_area area left join $tbl_room room on area.id=room.area_id
			 order by area.id,room_id";

			$result =& $db_global_connection->Execute($sql);
			if ($result===false) {
				die(Connection::error(__FILE__."(".__LINE__.")".__FUNCTION__.":",1));
			 }
			$count=0;


			$count=0;
			$area_old=-1;
			$area_index=0;
			$areas=array();

			while(!$result->EOF){
				$row=&$result->fields;
				if($area_old!=intval($row[area_id])){
					$area=new Area;
					$area->initByValues($row);
					$areas['areas'][$area_index]=$area;
					$area_old=$area->getId();
					$area_index++;
				}

				$room=new Room;
				$room->initByValues($row);
				if($room->isValid()){
					$areas['areas'][$area_index-1]->addRoom($room);
				}
				if($defaultarea==$area->id){
					$areas['default']=$areas['areas'][$area_index-1];
				}
				$result->MoveNext();
			}
			if(!isset($areas['default'])){
				$areas['default']=$area;
			}
			return $areas;

		}

	}

}


?>