<?php
include_once "area.php";
include_once "mrbs_sql_adodb.inc.php";
class Room{
	var $area_id;
	var $id;
	var $room_name;
	var $description;
	var $capacity;
	var $room_admin_email;
	var $area;
	function Del(){
		if($this->isValid()&&$this->getId()!=0){
			global $tbl_room;
			$sql="DELETE from $tbl_room where id=".$this->getId();
			$db=Connection::getInstance();
			if($db->Execute($sql)==false){
			die(Connection::error(__FILE__."(".__LINE__.")".__FUNCTION__.":",1));
			}
		}
	}
	function Save(){
		global $tbl_room;
		$db_global_connection=Connection::getInstance();

		if(is_numeric($this->getId())&&$this->getId()>0){
			$sql="update $tbl_room set area_id='".$this->getArea_Id()."',".
					"room_name='".$this->getRoom_name()."',".
					"description='".$this->getDescription()."',".
					"capacity='".$this->getCapacity()."',".
					"room_admin_email='".$this->getRoom_admin_email()."'".
					"WHERE id=".$this->getId()."";

		}else{
			$sql="insert into $tbl_room(room_name,description,capacity,room_admin_email,area_id) values('".$this->getRoom_name()."','".$this->getDescription()."','".$this->getCapacity()."','".$this->getroom_admin_email()."','".$this->getArea_Id()."')";
				$db_global_connection->StartTrans();	
			}
			
			if($db_global_connection->Execute($sql)===FALSE){
			die(Connection::error(__FILE__."(".__LINE__.")".__FUNCTION__.":",1));
			}
			
			if($this->getId()==0){
				$this->setId($db_global_connection->Insert_ID());
				$db_global_connection->CompleteTrans();
			}

	}
	function getCapacity(){
		return $this->capacity;
	}
	function &getArea_Id(){
		return $this->area_id;
	}
	function &getId(){
		if(!is_numeric($this->id)||$this->id<1){
			return 0;
		}else{
			return intval($this->id);
		}
	}
	function &getRoom_name(){
		return $this->room_name;
	}
	function &getDescription(){
		return $this->description;
	}
	function &getRoom_admin_email(){
		return $this->room_admin_email;
	}
	function &getArea(){
		return $this->area;
	}
	function setCapacity($value){
		$this->capacity=intval($value);
	}
	function setArea_Id($value){
		$this->area_id=intval($value);
	}
	function setArea($value){
		$this->Area=($value);
	}
	function setId($value){
		$this->id=intval($value);
	}
	function setRoom_name($value){
		$this->room_name=htmlspecialchars($value);
	}
	function setDescription($value){
		$this->description=htmlspecialchars($value);
	}
	function setRoom_admin_email($value){
		$this->room_admin_email=htmlspecialchars($value);
	}
	
	function toArray(){
		$occurarray=array();
		$occurarray[room_area_id]=$this->area_id;
		$occurarray[room_id]=$this->id;
		$occurarray[room_room_name]=$this->room_name;
		$occurarray[room_description]=$this->description;
		$occurarray[room_capacity]=$this->capacity;
		$occurarray[room_room_admin_email]=$this->room_admin_email;
		if($this->area!=null){
			$occurarray=array_merge($occurarray,$this->area->toArray());
		}
		
		return $occurarray;
	}
	function initByValues(&$occurarray,$recursive=1){
		$this->area_id=$occurarray[room_area_id];
		$this->id=$occurarray[room_id];
		$this->room_name=$occurarray[room_room_name];
		$this->description=$occurarray[room_description];
		$this->capacity=$occurarray[room_capacity];
		$this->room_admin_email=$occurarray[room_room_admin_email];
		if($recursive==1){
			$area=new Area;
			$area->initByValues($occurarray);
			$this->area=$area;
		}
	}
	
	function getAll(){
		global $tbl_area;
		global $tbl_room;
		$sql="select
			room.area_id as  room_area_id ,
			 room.id as  room_id ,
			 room.room_name as  room_room_name ,
			 room.description as  room_description ,
			 room.capacity as  room_capacity ,
			 room.room_admin_email as  room_room_admin_email,
			 
			 area.id as area_id,
			area.area_name as area_area_name,
			area.description as area_description,
			area.area_admin_email as area_area_admin_email
			from $tbl_area area join $tbl_room room on area.id=room.area_id ";
		$db_global_connection=Connection::getInstance();
		$result =& $db_global_connection->Execute($sql);
		
		if ($result===false) {
			die(Connection::error(__FILE__."(".__LINE__.")".__FUNCTION__.":",1));
		}
		while(!$result->EOF){
			$newroom=new Room;
			$newroom->initByValues($result->fields);
			$result->MoveNext();
			$roomlist[]=$newroom;
		}
		return $roomlist;
		
		
	}
	
	
	function isValid(){

		$m=empty( $this->area_id)	&& empty( $this->id)	&& empty( $this->room_name)	&& empty( $this->description)	&& empty( $this->capacity) && empty($this->room_admin_email);
		return !$m;
	}
	function initDefaultRoom(){
		$this->initById();
	}
	function initById($id){
		global $tbl_area;
		global $tbl_room;
		$sql="select
			room.area_id as  room_area_id ,
			 room.id as  room_id ,
			 room.room_name as  room_room_name ,
			 room.description as  room_description ,
			 room.capacity as  room_capacity ,
			 room.room_admin_email as  room_room_admin_email,
			 
			 area.id as area_id,
			area.area_name as area_area_name,
			area.description as area_description,
			area.area_admin_email as area_area_admin_email
			from $tbl_area area join $tbl_room room on area.id=room.area_id WHERE room.id=".intval($id)." limit 1";
		$db_global_connection=Connection::getInstance();
		$result =& $db_global_connection->Execute($sql);
		
		if ($result===false) {
			die(Connection::error(__FILE__."(".__LINE__.")".__FUNCTION__.":",1));
		}
		if(!$result->EOF){
			$this->initByValues($result->fields);
		}
			
	}
}
?>