<?php
################################
# Site identification information
#################################
$mrbs_admin = "l'amministratore";
$mrbs_admin_email = "email@amministratore.ext";

# This is the text displayed in the upper left corner of every page. Either
# type the name of your organization:
$mrbs_company = "Demo di NewMRBS";

#Presenza del logo: se impostato a 1 visualizza il file images/logo.png
$global_logo=1;
$global_altlogo="LOGO";
$global_externlink="http://www.sitoesterno.ext";



# This is to fix URL problems when using a proxy in the environment.
# If links inside MRBS appear broken, then specify here the URL of
# your MRBS root directory, as seen by the users. For example:
# $url_base =  "http://webtools.uab.ericsson.se/oam";
# It is also recommended that you set this if you intend to use email
# notifications, to ensure that the correct URL is displayed in the
# notification.
$url_base = "http://www.sito.ext/newmrbs/";
#Work in progress?
$WIP=0;
###################
# Calendar settings
###################
# Note: Be careful to avoid specify options that displays blocks overlaping
# the next day, since it is not properly handled.

# This setting controls whether to use "clock" based intervals (FALSE and
# the default) or user defined periods (TRUE).  If user-defined periods
# are used then $resolution, $morningstarts, $eveningends,
# $eveningends_minutes and $twentyfourhour_format are ignored.
$enable_periods = FALSE;

# Resolution - what blocks can be booked, in seconds.
# Default is half an hour: 1800 seconds.
$resolution = 1800;

# Start and end of day, NOTE: These are integer hours only, 0-23, and
# morningstarts must be < eveningends. See also eveningends_minutes.
$morningstarts = 8;
$eveningends   = 20;

$num_of_days=7;

# Minutes to add to $morningstarts to get to the real start of the day.
# Be sure to consider the value of $eveningends_minutes if you change
# this, so that you do not cause a day to finish before the start of
# the last period.  For example if resolution=3600 (1 hour)
# morningstarts = 8 and morningstarts_minutes = 30 then for the last
# period to start at say 4:30pm you would need to set eveningends = 16
# and eveningends_minutes = 30
$morningstarts_minutes = 0;

# Minutes to add to $eveningends hours to get the real end of the day.
# Examples: To get the last slot on the calendar to be 16:30-17:00, set
# eveningends=16 and eveningends_minutes=30. To get a full 24 hour display
# with 15-minute steps, set morningstarts=0; eveningends=23;
# eveningends_minutes=45; and resolution=900.
$eveningends_minutes = 0;

# Start of week: 0 for Sunday, 1 for Monday, etc.
$weekstarts = 0;

# Trailer date format: 0 to show dates as "Jul 10", 1 for "10 Jul"
$dateformat = 1;

# Time format in pages. 0 to show dates in 12 hour format, 1 to show them
# in 24 hour format
$twentyfourhour_format = 1;

########################
#Next Events
########################
#the next events page I'll fetch the events in the next HH:MM:SS frame of time in next_event.php e lezioniday.php
$next_hours="06:00:00";
#we'll include events began in the last HH:MM:SS
$prev_time="00:30:00";

#numero massimo di crediti
$global_crediti_number = 20;
#massimo numero di anni per un corso di studi
$global_max_year =6;

##########
# Language
##########

# Set this to 1 to use UTF-8 in all pages and in the database, otherwise
# text gets entered in the database in different encodings, dependent
# on the users' language
$unicode_encoding = 0;

# Set this to a different language specifier to default to different
# language tokens. This must equate to a lang.* file in MRBS.
# e.g. use "fr" to use the translations in "lang.fr" as the default
# translations
$default_language_tokens = "it";

# Set this to 1 to disable the automatic language changing MRBS performs
# based on the user's browser language settings. It will ensure that
# the language displayed is always the value of $default_language_tokens,
# as specified above
$disable_automatic_language_changing = 0;

# Set this to a valid locale (for the OS you run the MRBS server on)
# if you want to override the automatic locale determination MRBS
# performs
$override_locale = "it_IT";

# faq file language selection. IF not set, use the default english file.
# IF your language faq file is available, set $faqfilelang to match the
# end of the file name, including the underscore (ie. for site_faq_fr.html
# use "_fr"
$faqfilelang = ""; 

# This next require must be done after the definitions above, as the definitions
# are used in the included file


########################
# Miscellaneous settings
########################

# Maximum repeating entrys (max needed +1):
$max_rep_entrys = 365 + 1;

# Default report span in days:
$default_report_days = 60;

# Results per page for searching:
$search["count"] = 20;

# Page refresh time (in seconds). Set to 0 to disable
$refresh_rate = 0;

# should areas be shown as a list or a drop-down select box?
$area_list_format = "list";
#$area_list_format = "select";

# Entries in monthly view can be shown as start/end slot, brief description or
# both. Set to "description" for brief description, "slot" for time slot and
# "both" for both. Default is "both", but 6 entries per day are shown instead
# of 12.
$monthly_view_entries_details = "both";

# To view weeks in the bottom (trailer.inc.php) as week numbers (42) instead of
# 'first day of the week' (13 Oct), set this to TRUE
$view_week_number = FALSE;

# To display times on right side in day and week view, set to TRUE;
$times_right_side = FALSE;

# Control the active cursor in day/week/month views.
$javascript_cursor = false; # Change to false if clients have old browsers
                           # incompatible with JavaScript.
$show_plus_link = true; # Change to true to always show the (+) link as in
                        # MRBS 1.1.
$highlight_method = "hybrid"; # One of "bgcolor", "class", "hybrid".

# Define default starting view {month|day|week|ssfile} (ssfile stands for splash screen file see below)
# Default is next_lessons
$default_view = "ssfile";

# Define default room to start with (used by index.php)
# Room numbers can be determined by looking at the Edit or Delete URL for a
# room on the admin page.
# Default is 0
$default_room = 0;
#numero di righe da mostrare da monitor_event.html
$CONFIG_ELEMENTIPAGINAMONITOR=14;
#imposta il refresh minimo di monitor_event.html (se al monitor viene richiesto di visualizzare tutte le righe in una singola schermata la velocità di refresh è resolution, questo x ridurre gli accesis al sistema)
$CONFIG_REFRESHMONITOR=20;
#fa comparire o meno la scritta powered by joram sui monitor
$CONFIG_MONITOR_HAS_FOOTER=0;
#fa comparire o meno la scritta "powered by joram" nell epagine che hanno una coda (sia essa quella con le date, sia quella con i links)
$CONFIG_MRBS_HAS_POWEREDBY=1;
#fa comparire o scomparire il riquadro con il logo e il nome della facoltà
$CONFIG_HEADER_SX=1;
#aggiunge al nome del file in esportazione (esporta.php e esporta_full.php)
#la data odierna nel formato AAAAMMGGHHMM_
$CONFIG_set_export_time=1;
#aggiunge la possibilità che il file sia zippato
$CONFIG_zipped_xml_export=0;
##definisce la lunghezza del testo dopo cui troncare le pagine sui monitor
$CONFIG_monitor_truncate_shortitle=75;
#salve nel dbms alcune statistiche sul rendering delle pagina?
$LOG_page_rendering=1
?>
