<?php
require_once "grab_globals.inc.php";
include "config.inc.php";
include "functions.inc.php";
include "mrbs_auth.inc.php";
include "functions_rm3.inc.php";
include "mrbs_sql.inc.php";
include "$dbsys.inc.php";

    //a method that implements the MVC pattern
    //ogni volta che incontra \' lo trasforma in '
    function cleanslashedtext($string){
    		return str_replace("\\\\","\\",str_replace("\'","'",$string));
    	
    }
    function convalidamateria(&$POSTARRAY){
        $convalidato=true;
        $errori=array(array());
          $docente=$POSTARRAY['teacher'];
          $description=$POSTARRAY['description'];
          $shortitle=$POSTARRAY['shortitle'];
          $typeofdegree=$POSTARRAY['typeofdegree'];
          $CDL=$POSTARRAY['CDL'];
          $year=$POSTARRAY['year'];
	  $recnum=$POSTARRAY['recnum'];
          $SSD=$POSTARRAY['SSD'];
          $crediti=$POSTARRAY['crediti'];
          comparePOSTSESSIONlessonvar($POSTARRAY,'teacher');
	  if ( emptyornull( $year ) ) {
		$year = $POSTARRAY['year'];
	  }
          if(emptyornull($docente)){
              $errori['teacher']=get_vocab("obbligatoryfield");
              $convalidato=false;
              
            }
            comparePOSTSESSIONlessonvar($POSTARRAY,'description');
            if(emptyornull($description)){
                $errori['description']=get_vocab("obbligatoryfield");
                $convalidato=false;
                
            }
            comparePOSTSESSIONlessonvar($POSTARRAY,'shortitle');
        if(emptyornull($shortitle)){
            $errori['shortitle']=get_vocab("obbligatoryfield");
            $convalidato=false;
           
            }
            comparePOSTSESSIONlessonvar($POSTARRAY,'typeofdegree');
        if(emptyornullnumeric($typeofdegree)){
            $errori['typeofdegree']=get_vocab("obbligatoryfield");
            $convalidato=false;
           
        }
         comparePOSTSESSIONlessonvar($POSTARRAY,'CDL','cdlid');
        if(emptyornull($CDL)){
            $errori['CDL']=get_vocab("obbligatoryfield");
            $convalidato=false;
           
         }
         comparePOSTSESSIONlessonvar($POSTARRAY,'year','year');
        if(emptyornullnumeric($year)){
            $errori['year']=get_vocab("obbligatoryfield");
            $convalidato=false;           
            } 
         comparePOSTSESSIONlessonvar($POSTARRAY,'recnum','year');
            comparePOSTSESSIONlessonvar($POSTARRAY,'SSD');
        if(emptyornull($SSD)){
            $errori['SSD']=get_vocab("obbligatoryfield");
            $convalidato=false;
            
            }
            comparePOSTSESSIONlessonvar($POSTARRAY,'crediti');
        if(emptyornullnumeric($crediti)){
            $errori['crediti']=get_vocab("obbligatoryfield");
            $convalidato=false;
            
            }
        
//        $_SESSION['errori']=array_merge($_SESSION['errori'],$errori);
        $_SESSION['errori']=$errori;

        return $convalidato;
    }
    function verifyoccurence(){
           $result=1;
           unset($_SESSION['errori_occur']);
           if(!isset($_SESSION['occur_aa'])||(empty($_SESSION['occur_aa']))){
                $result=0;
                $errori['zerooccurences']=get_vocab("zerooccurences");
                $_SESSION['errori']=array_merge($_SESSION['errori'],$errori);
           }else{
                //testa ogni entry x controllare la coerenza
           
           }
           return $result;
    }
    function verificatempi(&$POSTARRAY){
    	$risultato=1;
    	  $begin_time=$POSTARRAY['from_time'];
          $ending_time=$POSTARRAY['to_time'];
          $from_date=mktime(0,0,1,$POSTARRAY['from_Month'],$POSTARRAY['from_Day'],$POSTARRAY['from_Year']);
	      $to_date=mktime(0,0,1,$POSTARRAY['to_Month'],$POSTARRAY['to_Day'],$POSTARRAY['to_Year']);
    	  if($begin_time>=$ending_time){
          	$_SESSION['errori']['time']="1";
          	$risultato=0;
          }
          if($from_date>$to_date){
          	$_SESSION['errori']['date']="1";

          	
          	$risultato=0;
          }
          $valido=1;
		  foreach($POSTARRAY['weekday'] as $weekday){
		  	$compreso=0;
	          for($f=$from_date;$f<=$to_date&&!$compreso;$f=strtotime("+1 day",$f)){

	          	if(date('w',$f)==$weekday){
	          		$compreso=1;
	          	}
	          }
	          if(!$compreso){
	          	$valido=0;
	          	$risultato=0;
	          	$_SESSION['errori']['date_week']="1";
	          }
		  }

          return $risultato;
    }
    function convalidaprenotazione(&$POSTARRAY){

          $risultato=1;
          $room_id=$POSTARRAY['room_id'];

          $begin_time=$POSTARRAY['from_time'];
          $ending_time=$POSTARRAY['to_time'];
          $from_date=mktime(0,0,1,$POSTARRAY['from_Month'],$POSTARRAY['from_Day'],$POSTARRAY['from_Year']);
	      $to_date=mktime(0,0,1,$POSTARRAY['to_Month'],$POSTARRAY['to_Day'],$POSTARRAY['to_Year']);
		  if(isset($_SESSION['weekday_overlayed'])){
		  	unset($_SESSION['weekday_overlayed']);
		  }
		  	$_SESSION['weekday_overlayed']=$POSTARRAY['weekday'];
		  	$weekd=$_SESSION['weekday_overlayed'];

          if(isset($_SESSION['overlays'])){
	            unset($_SESSION['overlays']);
	      }
          foreach($weekd as $day)
          {

	          if(isset($POSTARRAY['occurid'])){
	          	$res=mrbsgetOverlays($room_id, $begin_time, $ending_time, $day,$from_date,$to_date,$POSTARRAY['occurid']);
	          }else{
	          	$res=mrbsgetOverlays($room_id, $begin_time, $ending_time, $day,$from_date,$to_date);
	          }

	          if(sql_count($res)==0){
	                saveLessontoSession($POSTARRAY,$day);
					$_SESSION['weekday_overlayed']=array_remove_postarray($_SESSION['weekday_overlayed'],$day);
	          }else{
	                $f=0;
	                $result=array();
	                for($rw=0;$row=sql_row_keyed($res,$rw);$rw++){
	                      $result[]=$row;
	                }
	               $risultato=0;
	               $_SESSION['overlays'][$day]=$result;
	               //print_r($result);
	               $_SESSION['errori']['sovrapposizione']=get_Vocab('overlays');
	          }
    }
          return $risultato;     
    }
    function saveLessonToSession(&$POSTARRAY,$day){
        $from_date=mktime(0,0,1,$POSTARRAY['from_Month'],$POSTARRAY['from_Day'],$POSTARRAY['from_Year']);
	$to_date=mktime(23,59,59,$POSTARRAY['to_Month'],$POSTARRAY['to_Day'],$POSTARRAY['to_Year']);
	$m=get_vocab(typeoflesson);
	$room_info=mrbsGetRoomInfo($POSTARRAY['room_id']);
	$row=array('room_id'=>$POSTARRAY['room_id'],
		'room_name'=>$room_info['room_name'],
		'area_name'=>$room_info['area_name'],
		'from_time'=>$POSTARRAY['from_time'],
		'to_time'=>$POSTARRAY['to_time'],
		'weekday'=>$day,
		'weekday_name'=>getDayOfWeek($day),
		'to_date'=>$to_date,
		'from_date'=>$from_date,
		'mod'=>1,
		'typeoflesson'=>$POSTARRAY['typeoflesson'],
		'typeoflesson_name'=>$m[$POSTARRAY['typeoflesson']]
		);
		if(isset($POSTARRAY['overlays'])){
			$row['overlays']=1;
		}
		if(isset($POSTARRAY['occurid'])){
			$row['id']=$POSTARRAY['occurid'];
		}
		$_SESSION['occur_aa'][]=$row;
		//print_r($row);
		//print_r($_SESSION['occur_aa']);
    }
    function comparePOSTSESSIONlessonvar(&$POSTARRAY,$postarrayvar,$sessarrayvar=""){
		if($sessarrayvar==""){
			$sessarrayvar=$postarrayvar;
		}
    	if(! isset($POSTARRAY[$postarrayvar])){
    	   return;
    	}
    	if(!isset($_SESSION['lesson_info_var'])||strcmp($_SESSION['lesson_info_var'][$sessarrayvar],$POSTARRAY[$postarrayvar])!=0){
        		$_SESSION['lesson_info_var']['mod']=1;
        		$_SESSION['lesson_info_var']['created_by']=getUserName();
        		$_SESSION['lesson_info_var'][$sessarrayvar]=$POSTARRAY[$postarrayvar];
        }
    }
    
    function saveprenotazionetosession(&$POSTARRAY){
        	$from_date=mktime(0,0,1,$_POST['from_Month'],$_POST['from_Day'],$_POST['from_Year']);
	$to_date=mktime(23,59,59,$_POST['to_Month'],$_POST['to_Day'],$_POST['to_Year']);
	
        	$row=array('room_id'=>$POSTARRAY['room_id'],
		'room_name'=>$POSTARRAY['room_name'],
		'area_name'=>$POSTARRAY['area_name'],
		'from_time'=>$POSTARRAY['from_time'],
		'to_time'=>$POSTARRAY['to_time'],
		'weekday'=>$POSTARRAY['weekday_num'],
		'weekday_name'=>getDayOfWeek($POSTARRAY['weekday_num']),
		'to_date'=>$to_date,
		'mod'=>1,
		'from_date'=>$from_date
		);
		$_SESSION['occur_aa'][]=$row;
    }
    
    function emptyornull($variabile){
        $var=trim($variabile);
        return (empty($var));
    }
    function emptyornullnumeric($variabile){
        return ($variabile!=0)&&emptyornull($variabile);
    }
    function SelectARoom(&$POSTARRAY){
        return !(emptyornull($POSTARRAY['given_room_id'])||emptyornull($POSTARRAY['given_time']));
    }
    function setNotFirstTime(){
        
    }
    function commitEntry(&$POSTARRAY){
        return !(emptyornull($POSTARRAY['commit_entry']));
    }
    function changeEntry(&$POSTARRAY){
        return !(emptyornull($POSTARRAY['edit_entry']));
    }
    function editOccur(&$POSTARRAY){
    	if(emptyornull($POSTARRAY['edit_occur'])){
    		if(isset($POSTARRAY['edit_occur'])){
    			if($POSTARRAY['edit_occur']!=0){
		    		return -1;
    			}
    		}else{
    			return -1;
    		}
    	}
    	return $POSTARRAY['edit_occur'];
    }
    function editEntry(&$POSTARRAY){
        if(emptyornull($POSTARRAY['event_id'])){
            return 0;
        }
        return $POSTARRAY['event_id'];
    }
    function addEntry(&$POSTARRAY){
        return !(emptyornull($POSTARRAY['add_entry']));
    }
    function saveEntry(&$POSTARRAY){
        return !(emptyornull($POSTARRAY['save_entry']));
    }
    function previewMode(&$POSTARRAY){
        return !(emptyornull($POSTARRAY['preview_mode']));
    }
    function firstime(&$POSTARRAY){
        return (!(emptyornull($POSTARRAY['ext_room_id'])||emptyornull($POSTARRAY['ext_time'])));
        
    }
    function sqlEntry($id){
        if(emptyornull($_SESSION['occur_aa'][$id]['id'])){
            return 0;
        }
        return $_SESSION['occur_aa'][$id]['id'] ;
    }
    function deleteOccur(&$POSTARRAY){
    	if(is_numeric($POSTARRAY['delete_occur'])){
    		if($POSTARRAY['delete_occur']>=0){
    			return $POSTARRAY['delete_occur'];
    		}
    	}
    	return -1;
    }
    function exitMode(&$POSTARRAY){
    	
    	return !(emptyornull($POSTARRAY['exitMode']));
    }
    function deleteEntry(&$POSTARRAY){
    	
        if(emptyornull($POSTARRAY['delete_entry'])&&$POSTARRAY['delete_entry']!=0){
            return -1;
        }
        return $_SESSION["lesson_info_var"]['id'];
    }
    function deleteEntryAsk(&$POSTARRAY){
    	return emptyornull($POSTARRAY['delete_entry_ask']);
    }
    function overwriteentry(&$POSTARRAY){
        return (!(emptyornull($POSTARRAY['overwrite_entry'])));
    }
   function previewEntry(&$POSTARRAY){
        return !(emptyornull($POSTARRAY['preview_entry']));
        
    }
    function overwriteoccur(&$POSTARRAY){
    	return (!(emptyornull($POSTARRAY['overwrite_occur'])));
    }
    function dontaddoccur(&$POSTARRAY){
    	return (!(emptyornull($POSTARRAY['remove_occur'])));
    }
    //http://it.php.net/manual/it/function.implode.php
function implode_param($glue, $array=array(), $valwrap='')
   {
    /*   
    if mode = 0 output is key and values
    if mode = 1 output only keys
    if mode = 2 output only values
    */
    $ret=array();
   foreach($array as $key => $value) {
         $ret[] = $key."=".$valwrap.$value.$valwrap;
   }
       
       
    return implode($glue, $ret);
} 
// elimina un giorno dall'array associativo POST/GET
// senza cambiare gli indici degli altri valori
function array_remove_postarray(&$array,$punto){
	$nuovo=array();

	while ($value = current($array)) {
	    if (key($array)!=$punto){
	    	$nuovo[key($array)]=$value;
	    }
	    next($array);
	}
	return $nuovo;
	
}

?>
