<?php
include_once "occur.php";
include_once "cdl.php";
include_once "mrbs_sql_adodb.inc.php";

class Entry{
	var $id; //numeric
	var $created_by; //stringa
	var $teacher; //stringa
	var $description; //stringa
	var $year; //stringa
	var $SSD; //stringa;
	var $crediti; //integre
	var $timestamp; //integer;
	var $cdl;//oggetto di tipo cdl
	var $shortitle; //stringa
	var $typeofdegree; //integer;
	var $tipologialezione;//integer
	var $locked; //boolean;
	var $timeoflock;//integer
	var $temp; //boolean
	var $timeoftemp; //integer
	var $occurlist; //array con oggetti di tipo occur
	var $isvalidsql;
	
	var $searchcostraint;
	
	
	function &getId(){return intval($this->id);} //numeric
	function &getCreated_by(){return ($this->created_by);} //stringa
	function &getTeacher(){return ($this->teacher);} //stringa
	function &getDescription(){return ($this->description);} //stringa
	function &getSSD(){return ($this->SSD);} //stringa(){return ($this->}
	function &getTimestamp(){return ($this->timestamp);} //integer(){return ($this->}
	function &getCdl(){return ($this->cdl);}//oggetto di tipo cdl
	function &getShortitle(){return ($this->shortitle);} //stringa
	function &getOccurlist(){return ($this->occurlist);} //array con oggetti di tipo occu
	function setOccurlist(&$occurlist){$this->occurlist=$occurlist;}
	function addOccur($occur){$this->occurlist[]=$occur;}
	function getCdlId(){$M=$this->getCdl();return $M->getId();}
	function Del(){
		if($this->isvalidsql){
			$db=Connection::getInstance();
			$db->StartTrans(); 
			$M=$this->getOccurlist();
			foreach($M as $occur){
				$occur->Del();
			}
			$entry=new Entry;
			$entry->initById($this->getId());
			$occurlist=$entry->getOccurlist();
			if(empty($occurlist)){
				global $tbl_entry2;
				$db=Connection::getInstance();
				$sql="delete from $tbl_entry2 where id=".$this->getId();
				$res=$db->Execute($sql);
				if($db->Execute($sql)===false){
			die(Connection::error(__FILE__."(".__LINE__.")".__FUNCTION__.":",1));
			 }
			}
			$db->CompleteTrans();
		}
	}
	
	//$creator -> una stringa che identifica precisamente il creatore del evento
	//return: un array di oggetti di tipo entry contenenti tutti e soli
	//gli eventi che sono stati creati da $creator
	function findByCreator($creator){
		$db=Connection::getInstance();
		$creator=$db->qstr($creator);
		$costraint=" entry_created_by=$creator ";
		$otherorder=" order by entry_id ";
		return $this->findByCostraint($costraint,$otherorder);
	}
	
	function Entry(){
		$this->occurlist=array();
	}
	function isValid(){
		$m=empty( $this->id)	&& empty( $this->created_by)	&& empty( $this->teacher)
		 && empty( $this->description)	&& empty( $this->year)
		&& empty($this->SSD) && empty($this->crediti) && empty($this->timestamp)
		&& empty($this->shortitle) && empty($this->typeofdegree) && empty($this->tipologialezione);
		return !$m;
	}
	//$id -> l'id della entry
	//inizializza l'oggetto con il record che ha entry_id corrispondente al parametro
	function &initById($id){
		if(is_numeric($id)){
			$id=intval($id);
			$result=$this->findByCostraint(" entry_id=".intval($id)." ");
			return $result[0];
		}else{
			die("wrong invocation of the class.entry->initById() function");
		}
	}
	//$date -> la data del giorno che si vuole estrarre
	//return -> un array di entry pr tutti gli eventi che in data $date hanno 
	//almeno una occorrenza valida
	function &getDayEvents($date){
		$date=convert_am7($date);
		$costraint=" AND occur_weekday=".date("w",$date)." ";
		$order=" order by occur_from_time,room_room_name";
		return $this->findByDateAndCostraint($date,$date,$costraint,$order);
	}
	function &getDayCalEvents($date,$area){
		$costraint=" AND area_id=".intval($area)." ";
		$order=" order by occur_from_time,room_room_name ";
		return $this->findByDateAndCostraint($date,$date,$costraint,$order);
	}
	function &getMonthEvents($from_date,$to_date,$room_id){
		$costraint=" AND room_id=".intval($room_id)." ";
		$order=" order by entry_id,occur_from_time";
		return $this->findByDateAndCostraint($from_date,$to_date,$costraint,$order);
	}
	function &getMonitorEvents($date,$rooms){
		$max=count($rooms);
		for($f=0;$f<$max;$f++){
			$costraint.=" room_id=".$rooms[$f]." ";
			if(($f+1)<$max){
				$costraint.=' OR ';
			}
		}
		$costraint=" AND ( $costraint )";
		$order=" order by room_id,occur_from_time";
		return $this->findByDateAndCostraint($date,$date,$costraint,$order);
	}
	function &getXMLEvents($from_date,$to_date){
		return $this->findByDateAndCostraint($from_date,$to_date,""," order by cdl_id");
	}
	function &getCSVEvents($from_date,$to_date){
		return $this->findByDateAndCostraint($from_date,$to_date,""," order by cdl_id,entry_id");
	}
	function &getCappedDayEvents($date,$begin_time,$to_time){
		$costraint=" AND occur_from_time>='$begin_time' ".
			" AND occur_from_time<='$to_time' ";
		$order=" order by occur_from_time,entry_description ";
		return $this->findByDateAndCostraint($date,$date,$costraint,$order);
		
	}
	function addCostraint($name,$value){
		$db_global_connection=Connection::getInstance();
		$valueescaped=$db_global_connection->qstr("%$value%");
		if(!empty($value)){
			switch($name){
				case 'area_name':
					$this->searchcostraint.=" AND area_area_name like $valueescaped ";	
					break;
				case 'room_name':
					$this->searchcostraint.=" AND room_room_name like $valueescaped ";
					break;
				case 'occur_weekday':
					$valueescaped=intval($value);
					if($valueescaped>=0&&$valueescaped<7){
						$this->searchcostraint.=" AND occur_weekday=$valueescaped ";
					}
					break;
				case 'entry_teacher':
					$this->searchcostraint.=" AND entry_teacher like $valueescaped ";	
					break;
				case 'entry_shortitle':
					$this->searchcostraint.=" AND ((entry_shortitle like $valueescaped) ".
					"OR (entry_description like $valueescaped )) ";
					break;												
			}
		}
	}
	function getCrediti(){
		$return=$this->crediti;
		if($this->crediti==0){
			$return="Idoneità";
		}
		return $return;
	}
	function getYear(){
		if($this->year==0){
			return "Non Definito";
		}
		return $this->year;
	}
	function getLivello(){
		$degrees = array(0=>"Non Specificato", 1=>"L. Triennale",2=>"L. Magistrale",3=>"Dottorato",4=>"Master",5=>"Altro");
		return $degrees[$this->typeofdegree];
	}
	function SearchByDateAndCostraint($from_date,$to_date,$order){
		if($order=="s"){
			$order=" order by occur_from_date,occur_from_time ";
		}else{
			$order=" order by occur_room_id ";	
		}
		if(!empty($this->searchcostraint)){
				$mixed_costraint=" $this->searchcostraint ";
		}
		return $this->findByDateAndCostraint($from_date,$to_date,$mixed_costraint,$order);
		
	}
	function beetweenDate($from_date,$to_date){
		$db_global_connection=Connection::getInstance();//DBDate quando passeremo ai dati
		return " NOT (occur_to_date<".$db_global_connection->DBTimeStamp(convert_am7($from_date)).
					" OR occur_from_date>".$db_global_connection->DBTimeStamp(convert_pm7($to_date)).") ";
	}
	//questa funzione richiede 
	//from_date -> data di inizio (giorno compreso) del evento
	//to_date -> data di fine (giorno compreso) del evento
	//una serie di costraint che vanno a limitare la ricerca (devono cominciare con AND)
	//otheroder una serie di funzioni di ordinamento che cominciano con order by in sql
	
	//restituiscE:
	//un array composto da :lista di oggetti evento->lista di occorrenze presenti nel frame di tempo
	//specificato 
	
	//NOTA: se si specificat from_date=5/10/2007 e to_date=5/10/2007 verrano restituite
	//tutte le occorrenze di quel giorno:
	//1° un evento che non ha occorrenze in quel giorno non comparirà
	//2° un evento con più eventi di cui uno è in quel giorno vedrà nella lista degli eventi
	//solo quel elemento (x cui non è una vista totale dell'insieme)
	
	//NON effettua l'escape dei valori comunicati!!
	//x questo motivo DEVE essere privato
	//PRIVATE!!!!
	function &findByDateAndCostraint($from_date,$to_date,$costraint,$otherorder,$debug=0){
		$costraint=" ".$this->beetweenDate($from_date,$to_date)." $costraint ";
		$result=&$this->findByCostraint($costraint,$otherorder);
		$count_result=count($result);

		for($resultf=0;$resultf<$count_result;$resultf++){
			$occurlist=$result[$resultf]->getOccurList();
			$count_occurlist=count($occurlist);
			
			for($occurf=0;$occurf<$count_occurlist;$occurf++){

				if(!($occurlist[$occurf]->isBeetweenDate($from_date,$to_date))){
					unset($occurlist[$occurf]);
				}
			}
			$result[$resultf]->setOccurlist($occurlist);
			if(count($occurlist)==0){
				 unset($result[$resultf]);
			}
		}
		return $result;
	}
	//$id -> l'id della stanza che si vuole selezionare
	//return -> un array di entry con tutte e sole le occorrenze che prenotano l'aula
	//con id $id
	
	function &findByRoomId($id){
		if(is_numeric($id)){
			$costraint=" occur_room_id=".intval($id)." ";
			$order=" order by entry_id";
			return $this->findByCostraint($costraint,$order);
		}else{
			return NULL;
		}
		
	}
	//inizializza l'oggetto corrente con i valori passati tramite array
	//solo ed esclusivamente privato
	//PRIVATE
	function  &findByCostraint($costraint,$otherorder="",$debug=0){
		global $tbl_room;
		global $tbl_area;
		global $tbl_entry2;
		global $tbl_cdl;
		global $tbl_occur;
		$sql="select * from lista_eventi
			WHERE $costraint $otherorder";
		$db_global_connection=Connection::getInstance();
		$result =& $db_global_connection->Execute($sql);
		if ($result===false) {
			Connection::error(__FILE__."(".__LINE__.")".__FUNCTION__.":",1);
			die();
			 }
		$id=0;
		$rigaentry_index=0;
		$rigaentry=array();
		while(!$result->EOF){
			$row1=&$result->fields;
			if($id!=$row1[entry_id]){
				$id=$row1[entry_id];
				$entry=new Entry;
				$entry->initByValues($row1);
				$rigaentry[$rigaentry_index++]=$entry;
			}
			$occur=new Occur();
			$occur->initByValues($row1);
			$rigaentry[$rigaentry_index-1]->occurlist[]=$occur;
			$result->MoveNext();
		}
		return $rigaentry;
		
	}

	function toArray(){
			$entryarray=array();	
			$entryarray[entry_id]=$this->id;

			$entryarray[entry_created_by]=$this->created_by; //stringa
			$entryarray[entry_teacher]=$this->teacher; //stringa
			$entryarray[entry_description]=$this->description; //stringa
			$entryarray[entry_year]=$this->year; //stringa
			$entryarray[entry_SSD]=$this->SSD; //stringa=$entryarray[entry_];
			$entryarray[entry_crediti]=$this->crediti; //integre
			$entryarray[entry_timestamp]=$this->timestamp; //integer=$entryarray[entry_];
			if($this->cdl!=NULL){
				$entryarray=array_merge($entryarray,$this->cdl->toArray());
			}
			$entryarray[entry_shortitle]=$this->shortitle; //stringa
			$entryarray[entry_typeofdegree]=$this->typeofdegree; //integer=$entryarray[entry_];
			$entryarray[entry_tipologialezione]=$this->tipologialezione;//integer
			
			return $entryarray;
	}
	
	function initByValues(&$entryarray){

			if(!is_numeric($entryarray[entry_id])||intval($entryarray[entry_id])<1){
				$this->id=0;
			}else{
				$this->id=intval($entryarray[entry_id]);//numeric
			}

			$this->created_by=$entryarray[entry_created_by]; //stringa
			$this->teacher=$entryarray[entry_teacher]; //stringa
			$this->description=$entryarray[entry_description]; //stringa
			$this->year=$entryarray[entry_year]; //stringa
			$this->SSD=$entryarray[entry_SSD]; //stringa=$entryarray[entry_];
			$this->crediti=$entryarray[entry_crediti]; //integre
			$this->timestamp=$entryarray[entry_timestamp]; //integer=$entryarray[entry_];
			$cdl=new cdl;
			$cdl->initByValues($entryarray);
			$this->cdl=$cdl;
			$this->shortitle=$entryarray[entry_shortitle]; //stringa
			$this->typeofdegree=$entryarray[entry_typeofdegree]; //integer=$entryarray[entry_];
			$this->tipologialezione=$entryarray[entry_tipologialezione];//integer
	}
	function saveTemp($recursive){
		global $tbl_entry2;
		$db_global_connection=Connection::getInstance();
		$db_global_connection->StartTrans();
		
		if($this->id==0){
			$sql="insert into mrbs_entry2(created_by,
								teacher,description,year,
								SSD,crediti,timestamp,CDL,
								shortitle,typeofdegree,tipologialezione,
								locked,timeoflock,temp,timeoftemp)
						values(".$db_global_connection->qstr($this->created_by).",
						".$db_global_connection->qstr($this->teacher).",
						".$db_global_connection->qstr($this->description).",
						".intval($this->year).",".intval($this->SSD).",
						".intval($this->crediti).",
						".$db_global_connection->qstr($this->timestamp).",
						".intval($this->CDL).",
						".$db_global_connection->qstr($this->shortitle).",
						".intval($this->typeofdegree).",
						".intval($this->tipologialezione).",
						".intval($this->locked).",".$db_global_connection->qstr($this->timeoflock).",
						".intval($this->temp).",".intval($this->timeoftemp).")";
			if($db_global_connection->Execute($sql)==false){
			die(Connection::error(__FILE__."(".__LINE__.")".__FUNCTION__.":",1));
			 }
			$this->id=$db_global_connection->Insert_ID();
		}else{
			$sql="update mrbs_entry2 ".
				" set(created_by=".$db_global_connection->qstr($this->created_by).",".
				" teacher=".$db_global_connection->qstr($this->teacher).",".
				" description=".$db_global_connection->qstr($this->description).",".
				" year=".$db_global_connection->qstr($this->year).",".
				" SSD=".$db_global_connection->qstr($this->SSD).",".
				" crediti=".intval($this->crediti).",".
				" timestamp=".$db_global_connection->qstr($this->timestamp).",".
				" CDL=".intval($this->CDL).",".
				" shortitle=".$db_global_connection->qstr($this->shortitle).",".
				" typeofdegree=".intval($this->typeofdegree).",".
				" tipologialezione=".intval($this->tipologialezione).",".
				" locked=".intval($this->locked).",".
				" timeoflock=".intval($this->timeoflock).",".
				" temp=intval".intval($this->temp).",".
				 " timeoftemp=intval($this->timeoftemp)) where id=$this->id";
			if($db_global_connection->Execute($sql)==false){
			die(Connection::error(__FILE__."(".__LINE__.")".__FUNCTION__.":",1));
			 }
		}
		if($recursive){
				foreach($this->occurlist as $occur){
					$occur->entry_id=$this->getId();
					$occur->saveTemp();	
				}
		}
		$db_global_connection->CompleteTrans();
		
	}
}
?>