<?php
# Pagina di esportazione dati per MRBS
# CopyRight Edward Matteucci ed.matteucci@gmail.com
#ottobre 2007 ed.matteucci@gmail.com
# Distribuito secondo licenza GPL V.2
include_once "config.path.inc.php";

include_once(CLASSES."log.php");

$log=new Log;
$log->InitByValues($_SERVER);


require_once "grab_globals.inc.php";
include_once(SMARTY.'Smarty.class.php');

include "config.inc.php";
include "functions.inc.php";
include "mrbs_auth.inc.php";
include "esporta.inc.php";

$log->setUser(getUserName());
$log->AddLog("postInclude");

if(isset($_POST)){
    $REQUEST=$_POST;   
}
if(isset($_GET)){
    $REQUEST=$_GET;
}

$errore=0;
if(validate_date($REQUEST[to_Day],$REQUEST[to_Month],$REQUEST[to_Year])){
	$to_date=mktime(0,0,1,$REQUEST[to_Month],$REQUEST[to_Day],$REQUEST[to_Year]);
}else{
	$errore=1;
}

if(validate_date($REQUEST[from_Day],$REQUEST[from_Month],$REQUEST[from_Year])){
	$from_date=mktime(0,0,1,$REQUEST[from_Month],$REQUEST[from_Day],$REQUEST[from_Year]);
}else{
	$errore=1;
}

if($to_date<=$from_date){
	$wrongdate=1;
}
if(strcmp($REQUEST[export_type],'html')!=0&&((!isset($REQUEST[save_entry]))||$errore||$wrongdate)){
	$layout = new Smarty;
	$layout->assign('FILENAME',basename($PHP_SELF));	
    $layout->assign('output_type',array(xml=>get_vocab("export_xml")));
	formHTML($layout,$from_date,$to_date,$wrong,$errore);
	$log->AddLog("Formhtml");
	$log->Save();
}else{
	global $CONFIG_zipped_xml_export;
	if($REQUEST[export_type]=='xml'&&$CONFIG_zipped_xml_export==1){
		$REQUEST[export_type]='zipxml';	
		
	}
	switch($REQUEST[export_type]){
		case 'xml':
			$file_name = getFilename("xml");
	 		$log->AddLog("prequery");			
			$content=esportaXML($from_date,$to_date);
			header("Content-type: text/xml");
	 		header ("Content-Disposition: inline; filename=$file_name");

	 		$log->AddLog("xml");
			$log->Save();
	 		echo $content;			
		    break;
		case 'zipxml':
			$file_name = getFilename("zip");
			$log->AddLog("prequery");
			$zipcontent=esportaZippedXML($from_date,$to_date);
			header("Content-type: application/zip");
	 		header ("Content-Disposition: attachments; filename=$file_name");
	 		$log->AddLog("zipxml");
			$log->Save();
	 		echo $zipcontent;			
		    break;		    
	  	default:
	  	   $layout = new Smarty;
	  	   formHTML($layout,$from_date,$to_date,$wrong,$errore);
	 		$log->AddLog("html");
			$log->Save();	  	   
	  	   break;
	}
  		
}
?>