<?php
	function init_headermenu(&$layout,$room_list,$area_list,$area_default,$room_default,$time,$type){
		$layout->assign("room_list",$room_list);
		$layout->assign("area_list",$area_list[areas]);
		$layout->assign("area_default",$area_default);
		$layout->assign("room_default",$room_default);
		
		$array=getdate($time);

		$curr_month=firstofMonth($time);
		$next_month=firstofMonth($time,+1);
		$prev_month=firstofMonth($time,-1);	
		$prev_month_cal=creaMonthArray($time,$prev_month,$type);
		$next_month_cal=creaMonthArray($time,$next_month,$type);
		$curr_month_cal=creaMonthArray($time,$curr_month,$type);
		$layout->assign("prev_month",$prev_month);
		$layout->assign("next_month",$next_month);
		$layout->assign("curr_month",$curr_month);			
		
					
		$layout->assign("prev_month_cal",$prev_month_cal);
		$layout->assign("next_month_cal",$next_month_cal);
		$layout->assign("curr_month_cal",$curr_month_cal);			
		
	}
	
	function &creaMonthArray($data_pagina,$data_calendar,$type){
		$data_pagina=convert_am7($data_pagina);
		switch ($type){
			case 'month':
			$min_underline=firstofMonth($data_pagina);
			$day=date("t",intval($data_pagina))-1;
			$max_underline=strtotime("+$day days",$min_underline);
			break;	
			case 'week':
			$day=date("w",intval($data_pagina));
			$min_underline=strtotime("-$day day",intval($data_pagina));
			$max_underline=strtotime("+6 days",intval($min_underline));
			break;
			case 'day':
			$min_underline=intval($data_pagina);
			$max_underline=intval($data_pagina);
			break;
		}
		$month_array=array(array());			
		$curr_month=strtotime("first day",$data_calendar);
		//inizializzo le prime celle vuote del calendario
		$offset_mese=date("w",$data_calendar);//celle che sono vuote all'inizio del mese
		for($f=0;$f<$offset_mese;$f++){
			$month_array[0][$f]=NULL;
		}
		$giorni_mese=date("t",$data_calendar);
		for($g=0;$g<$giorni_mese;$g++){
			$colonna=($f+$g)%7;
			$riga=intval(($f+$g)/7);
			$day=strtotime("+$g day",$data_calendar);
			$month_array[$riga][$colonna][time]=$day;
			if($day>=$min_underline&&$day<=$max_underline){
				$month_array[$riga][$colonna][underline]=1;
			}
		}
		return $month_array;
		
	}
	function firstofMonth($date,$modificamese=0){
		$array=getdate($date);
		$curr_month=mktime(0,0,0,$modificamese+$array[mon],1,$array[year]);
		return $curr_month;
	}
	
	function &getDefaultAreaRoom($area,$room=0){
		//in questo modo se c'� una area con questo numero verr� messa in $areas[default]
		$areas=Area::getAll($area,1);
		$room_obj=NULL;
		$area_obj=NULL;
		//verifico che room abbia senso cercando nella lista caricata
		//con la seguente sequenza di controlli elimino il problema
		//di sql injeciton, di errori nel caso di parametri errati
		//ed errori nel caso di aree x cui non � definito un
		//una stanza
		if($room!=0){
			foreach($areas['areas'] as $area_xpl){
				$room_list=$area_xpl->room_list;
				if(!empty($room_list)){
					foreach($room_list as $room_xpl){
						if($room==$room_xpl->getId()){
							$area_obj=$area_xpl;
							$room_obj=$room_xpl;
						}
					}
				}
			}
		}
		//se ho trovato una roomm il parametro $room era relativo
		// a una room esistente altrimenti provo con $area
		
		//a questo punto ho trovato un'area esistente ($area era un parametro
		//relativo a un'area esistente. se non l'ho trovata
		//ne scelgo una di default
		if($area_obj==NULL||$room_obj==NULL){
			if(isset($areas['default'])){
				$area_obj=$areas['default'];
				$room_list=$area_obj->getRoom_list();
				$room_obj=$room_list[0];
			}else{
				$area_obj=$areas[0];
				if($area_obj!=null){
					$room_list=$area_obj->getRoom_list();
					$room_obj=$room_list[0];					
				}else{
					//il dbms è vuoto!!
					//non è definita neanche un'aula
					$areas=null;
					$room_obj=null;
				}
			}
		}
		return array(areas=>$areas,room=>$room_obj,area=>$area_obj);
	}
?>